#if !defined(AFX_DLGFIREWALLPROPERTIES_H__DACB75F8_9B67_49DC_BB2E_C0A13942EBE1__INCLUDED_)
#define AFX_DLGFIREWALLPROPERTIES_H__DACB75F8_9B67_49DC_BB2E_C0A13942EBE1__INCLUDED_

#include "ResizableDialog.h"
#include "apl_gui.h"


#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgFirewallProperties.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDlgFirewallProperties dialog

class CDlgFirewallProperties : public CResizableDialog
{
// Construction
public:
	CDlgFirewallProperties(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CDlgFirewallProperties)
	enum { IDD = IDD_DLG_FIREWALL_PROPERTIES };
	CStatic	m_st_list;
	CSortListCtrl m_list;
	BOOL	m_OnFirewall;
	CaplButton	m_BtnOk;
	CaplButton	m_BtnCancel;
	CaplButton	m_BtnProp;
	CaplButton	m_BtnDel;
	CaplButton	m_BtnAdd;
	//}}AFX_DATA

	CaplMap m_map_of_ip;
	CString m_white_list;


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgFirewallProperties)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

	void FeelList();
	
// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDlgFirewallProperties)
	virtual void OnOK();
	afx_msg void OnAdd();
	afx_msg void OnProperty();
	afx_msg void OnProperty1(NMHDR* pNMHDR, LRESULT* pResult);
	virtual BOOL OnInitDialog();
	afx_msg void OnDel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGFIREWALLPROPERTIES_H__DACB75F8_9B67_49DC_BB2E_C0A13942EBE1__INCLUDED_)
